org.apache.hadoop.hdfs.server.namenode

## Class NNStorageRetentionManager

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.NNStorageRetentionManager

-     public class NNStorageRetentionManager
      extends Object

  The NNStorageRetentionManager is responsible for inspecting the storage directories of the NN and enforcing a retention policy on checkpoints and edit logs. It delegates the actual removal of files to a StoragePurger implementation, which might delete the files or instead copy them to a filer or HDFS for later analysis.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NNStorageRetentionManager(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.hdfs.server.namenode.NNStorage storage, org.apache.hadoop.hdfs.server.namenode.LogsPurgeable purgeableLogs)`
    `NNStorageRetentionManager(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.hdfs.server.namenode.NNStorage storage, org.apache.hadoop.hdfs.server.namenode.LogsPurgeable purgeableLogs, org.apache.hadoop.hdfs.server.namenode.NNStorageRetentionManager.StoragePurger purger)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NNStorageRetentionManager

          public NNStorageRetentionManager(org.apache.hadoop.conf.Configuration conf,
                                           org.apache.hadoop.hdfs.server.namenode.NNStorage storage,
                                           org.apache.hadoop.hdfs.server.namenode.LogsPurgeable purgeableLogs,
                                           org.apache.hadoop.hdfs.server.namenode.NNStorageRetentionManager.StoragePurger purger)

    - #### NNStorageRetentionManager

          public NNStorageRetentionManager(org.apache.hadoop.conf.Configuration conf,
                                           org.apache.hadoop.hdfs.server.namenode.NNStorage storage,
                                           org.apache.hadoop.hdfs.server.namenode.LogsPurgeable purgeableLogs)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.